# node-poweredup Class: BaseHub

# Class: BaseHub

## BaseHub

#### new BaseHub()

  Source:
    - hubs/basehub.js, line 59

### Extends

- EventEmitter

### Members

#### <readonly> batteryLevel

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `batteryLevel` | number | Battery level of the hub (Percentage between 0-100)

  Source:
    - hubs/basehub.js, line 141

#### <readonly> firmwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `firmwareVersion` | string | Firmware version of the hub

  Source:
    - hubs/basehub.js, line 113

#### <readonly> hardwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `hardwareVersion` | string | Hardware version of the hub

  Source:
    - hubs/basehub.js, line 120

#### <readonly> name

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `name` | string | Name of the hub

  Source:
    - hubs/basehub.js, line 92

#### <readonly> ports

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `ports` | Array.<string> | Array of port names

  Source:
    - hubs/basehub.js, line 106

#### <readonly> primaryMACAddress

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `primaryMACAddress` | string | Primary MAC address of the hub

  Source:
    - hubs/basehub.js, line 127

#### <readonly> rssi

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `rssi` | number | Signal strength of the hub

  Source:
    - hubs/basehub.js, line 148

#### <readonly> type

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `type` | string | Hub type

  Source:
    - hubs/basehub.js, line 99

#### <readonly> uuid

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `uuid` | string | UUID of the hub

  Source:
    - hubs/basehub.js, line 134

#### Search results